Bug 236808 - net-im/fractal: update to 4.0.0
Summary: net-im/fractal: update to 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-26 18:40 UTC by Greg V
Modified: 2019-04-04 05:04 UTC (History)
0 users

See Also:


Attachments
fractal.patch (70.90 KB, patch)
2019-03-26 18:40 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-03-26 18:40:43 UTC
Created attachment 203167 [details]
fractal.patch

Now that libhandy and cairo-1.16.0 have landed, this should work
Comment 1 Greg V 2019-03-27 23:16:21 UTC
oops, also needs 'rm files/patch-non-x86' after applying the patch
Comment 2 commit-hook freebsd_committer 2019-04-04 05:04:07 UTC
A commit references this bug:

Author: tobik
Date: Thu Apr  4 05:03:29 UTC 2019
New revision: 497787
URL: https://svnweb.freebsd.org/changeset/ports/497787

Log:
  net-im/fractal: Update to 4.0.0

  - The vendored libc crate was updated to 0.2.45 from 0.2.43, so the
    cargo-checksum.json hunk of patch-non-x86 no longer applied.
    Remove it and disable vendor checksums while here.  The patch is
    still needed on arm* and powerpc64.  Drop no longer needed
    WITHOUT_FBSD10_FIX workaround too.

  PR:		236808
  Submitted by:	Greg V <greg@unrelenting.technology> (maintainer)

Changes:
  head/net-im/fractal/Makefile
  head/net-im/fractal/distinfo
  head/net-im/fractal/files/patch-meson.build
  head/net-im/fractal/files/patch-non-x86
  head/net-im/fractal/files/patch-openssl-1.1.1
  head/net-im/fractal/files/patch-rust-1.30
  head/net-im/fractal/files/patch-scripts_cargo.sh
  head/net-im/fractal/pkg-plist